extends Node

var equipables = {
  # armors
  "wild_breastplate": EquipableData.new({
    "id": "wild_breastplate",
    "slot": Enums.Slot.BODY,
    "label": "Wild Breastplate",
    "description": "A body protection made of animal pelt.",
    "price": 300,
    "armor": 5,
    "max_durability": 10,
    "stat_0": "max_hp",
    "stat_0_formula": [5, 10],
    "stat_1": "strength",
    "stat_1_formula": [1, 5],
   }),
  "wasp_armor": EquipableData.new({
    "id": "wasp_armor",
    "slot": Enums.Slot.BODY,
    "label": "Wasp Armor",
    "description": "TODO",
    "price": 300,    
    "armor": 4,
    "max_durability": 8,
    "stat_0": "max_hp",
    "stat_0_formula": [2, 5],
    "stat_1": "agility",
    "stat_1_formula": [2, 7],
    "stat_2": "initiative",
    "stat_2_formula": [3, 10],
   }),
  "spider_corset": EquipableData.new({
    "id": "spider_corset",
    "slot": Enums.Slot.BODY,
    "label": "Spider Corset",
    "description": "TODO",
    "price": 300,    
    "armor": 3,
    "max_durability": 8,
    "stat_0": "max_hp",
    "stat_0_formula": [2, 4],
    "stat_1": "agility",
    "stat_1_formula": [2, 5],
    "stat_2": "miracle",
    "stat_2_formula": [1, 2],
   }),
  "wooden_armor": EquipableData.new({
    "id": "wooden_armor",
    "slot": Enums.Slot.BODY,
    "label": "Wooden armor",
    "description": "TODO",
    "price": 300,    
    "armor": 5,
    "max_durability": 8,
    "stat_0": "max_hp",
    "stat_0_formula": [5, 8],
    "stat_1": "strength",
    "stat_1_formula": [2, 4],
    "stat_2": "agility",
    "stat_2_formula": [-5, -2],
   }),
  # head
  "wasp_helmet": EquipableData.new({
    "id": "wasp_helmet",
    "slot": Enums.Slot.HEAD,
    "label": "Wasp Helmet",
    "description": "TODO",
    "price": 300,    
    "armor": 2,
    "max_durability": 6,
    "stat_0": "intelligence",
    "stat_0_formula": [3, 10],
    "stat_1": "critical",
    "stat_1_formula": [0, 1],
    "stat_2": "initiative",
    "stat_2_formula": [2, 4],
   }),
  "spider_mask": EquipableData.new({
    "id": "spider_mask",
    "slot": Enums.Slot.HEAD,
    "label": "Spider Mask",
    "description": "TODO",
    "price": 300,    
    "armor": 1,
    "max_durability": 6,
    "stat_0": "agility",
    "stat_0_formula": [3, 6],
    "stat_1": "intelligence",
    "stat_1_formula": [2, 5],
    "stat_2": "miracle",
    "stat_2_formula": [1, 2],
   }),
  "wooden_helmet": EquipableData.new({
    "id": "wooden_helmet",
    "slot": Enums.Slot.HEAD,
    "label": "Wooden Helmet",
    "description": "TODO",
    "price": 300,    
    "armor": 3,
    "max_durability": 6,
    "stat_0": "max_hp",
    "stat_0_formula": [2, 5],
    "stat_1": "strength",
    "stat_1_formula": [3, 5],
    "stat_2": "intelligence",
    "stat_2_formula": [-5, -2],
   }),
  # boots
  "leather_boots": EquipableData.new({
    "id": "leather_boots",
    "slot": Enums.Slot.FOOT,
    "label": "Leather Boots",
    "description": "The classic adventurer's choice",
    "price": 200,    
    "armor": 3,
    "max_durability": 8,
    "stat_0": "max_hp",
    "stat_0_formula": [3, 6],
    "stat_1": "agility",
    "stat_1_formula": [1, 5],
   }),
  "wooden_boots": EquipableData.new({
    "id": "wooden_boots",
    "slot": Enums.Slot.FOOT,
    "label": "Wooden Boots",
    "description": "Heavy but sturdy",
    "price": 200,    
    "armor": 2,
    "max_durability": 8,
    "stat_0": "max_hp",
    "stat_0_formula": [3, 5],
    "stat_1": "strength",
    "stat_1_formula": [2, 3],
    "stat_2": "agility",
    "stat_2_formula": [-5, -2],
   }),
  # ring
  "spider_ring": EquipableData.new({
    "id": "spider_ring",
    "slot": Enums.Slot.FINGER,
    "label": "Spider ring",
    "description": "TODO",
    "price": 200,    
    "armor": 1,
    "max_durability": 8,
    "stat_0": "max_hp",
    "stat_0_formula": [2, 4],
    "stat_1": "miracle",
    "stat_1_formula": [1, 2],
    "stat_2": "initiative",
    "stat_2_formula": [1, 4],
   }),
 }

var resources = {
  "monster_fur": ResourceData.new({
    "id": "monster_fur",
    "label": "Monster Fur",
    "category": Enums.ResourceCategory.FUR,
    "properties": {
      "flexible": 4,
     },
    "price": 4,
   }),
  "wolf_fur": ResourceData.new({
    "id": "wolf_fur",
    "label": "Wolf Fur",
    "category": Enums.ResourceCategory.FUR,
    "properties": {
      "flexible": 8,
      "wolf": 4,
     },
    "price": 4,
   }),
  "wolf_teeth": ResourceData.new({
    "id": "wolf_teeth",
    "label": "Wolf Teeth",
    "category": Enums.ResourceCategory.BONE,
    "properties": {
      "sharp": 5,
      "wolf": 3,
     },
    "price": 4,
   }),
  "wolf_pelt": ResourceData.new({
    "id": "wolf_pelt",
    "label": "Wolf Pelt",
    "category": Enums.ResourceCategory.SKIN,
    "properties": {
      "flexible": 4,
      "fabric": 4,
      "wolf": 6,
     },
    "price": 4,
   }),
  "wasp_wing": ResourceData.new({
    "id": "wasp_wing",
    "label": "Wasp Wing",
    "category": Enums.ResourceCategory.WING,
    "properties": {
      "flexible": 4,
      "wind": 6,
      "wasp": 4,
     },
    "price": 4,
   }),
  "wasp_stinger": ResourceData.new({
    "id": "wasp_stinger",
    "label": "Wasp Stinger",
    "category": Enums.ResourceCategory.MISCELLANEOUS,
    "properties": {
      "toxic": 2,
      "sharp": 6,
      "wasp": 8,
     },
    "price": 4,
   }),
  "wasp_venom": ResourceData.new({
    "id": "wasp_stinger",
    "label": "Wasp Venom",
    "category": Enums.ResourceCategory.FLUID,
    "properties": {
      "toxic": 5,
      "sticky": 2,
      "wasp": 3,
     },
    "price": 4,
   }),
  "wasp_chitin": ResourceData.new({
    "id": "wasp_chitin",
    "label": "Wasp Chitin",
    "category": Enums.ResourceCategory.SKIN,
    "properties": {
      "rigid": 6,
      "fabric": 4,
      "wasp": 4,
     },
    "price": 4,
   }),
  "spider_fang": ResourceData.new({
    "id": "spider_fang",
    "label": "Spider Fang",
    "category": Enums.ResourceCategory.BONE,
    "properties": {
      "sharp": 4,
      "toxic": 1,
      "spider": 6,
     },
    "price": 4,
   }),
  "cobweb": ResourceData.new({
    "id": "cobweb",
    "label": "Cobweb",
    "category": Enums.ResourceCategory.MISCELLANEOUS,
    "properties": {
      "sticky": 6,
      "fabric": 2,
      "spider": 4,
     },
    "price": 4,
   }),
  "spider_leg": ResourceData.new({
    "id": "spider_leg",
    "label": "Spider Leg",
    "category": Enums.ResourceCategory.LEG,
    "properties": {
      "rigid": 4,
      "sticky": 1,
      "spider": 4,
     },
    "price": 4,
   }),
  "spider_venom": ResourceData.new({
    "id": "spider_venom",
    "label": "Spider Venom",
    "category": Enums.ResourceCategory.FLUID,
    "properties": {
      "toxic": 3,
      "acid": 4,
      "spider": 2,
     },
    "price": 4,
   }),
 }
